Subject: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Sep 2022 21:17:53 +0300

> From: Dmitrii Kuragin <[email-masked]>
> Date: Wed, 7 Sep 2022 09:11:32 -0700
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> Sorry I made you wait. I tried the patch (see attachments) and everything worked perfectly. No flickering.

OK, thanks.

So now the next question is: on what should we base the activation of
these hooks?  There are several alternatives:

  . if alacritty produces a distinct value from tty-type, we could use
    that, or
  . if alacritty has a distinct terminfo capability that other
    terminals don't, we could use that, or
  . expose a variable to Lisp that users could set in order to turn
    this on and off, and tell users to turn it on if they see the
    issue

Any other ideas?

> BTW, tmux uses the sync update for their own TUI and they check "Sync" terminal capability. Do we need to
> do the same or we can just send the escapes and hope the unsupported terminal would just recover?

What is that Sync capability, what is its value for tmux, and how is
it supposed to be used?  Is there any documentation I could read about
that?